# A small demo of SudokuBoard features

from sudoku import SudokuBoard

board = SudokuBoard()
board.load('2012/task/task1/sudoku01.ss')

print('Initial board:')
print(board)

print('Is it correct solution?')
print(board.is_correct_solution())

print('Candidates for each free field:')
for pos in board.free_positions():
    print('At position {}, you can place {}.'.format(
        pos, board.candidates(pos)))
